* PACKAGE ZGT21L12  !" $@3J;RE@?t!$GH?t(J  (T21l12-Test)
*
*"  [HIS]  95/05/29(takepiro) $@5e3L(J Boussinesq $@%b%G%kHG(J, 1 $@GH?t%b%G%k(J
*
      INTEGER     IMAX           !" $@7PEY3J;R?t(J
      INTEGER     JMAX           !" $@0^EY3J;R?t(J
      INTEGER     IDIM           !" $@7PEYG[Ns%5%$%:(J
      INTEGER     JDIM           !" $@0^EYG[Ns%5%$%:(J
      INTEGER     MMAX           !" $@:GBgEl@>GH?t(J
      INTEGER     LMAX           !" $@:GBgFnKLGH?t(J
      INTEGER     NMAX           !" $@:GBgA4GH?t(J
      INTEGER     MINT           !" $@El@>GH?t4V3V(J
      INTEGER     KMAX           !" $@1tD>AX?t(J
      INTEGER     KDIM           !" $@1tD>G[Ns%5%$%:(J
      INTEGER     NMDIM          !" $@?eJ?GH?t@.J,?t(J
      INTEGER     JMXHF          !" JMAX/2+1
      INTEGER     NWORK          !" $@%o!<%/NN0hBg$-$5(J
*
      PARAMETER ( IMAX  = 64,     JMAX = 32,
     &            IDIM  = IMAX+1, JDIM = JMAX,
     &            MMAX  = 21,     LMAX = 21,    NMAX = LMAX, MINT = 11,
     &            KDIM  = 12,     KMAX = KDIM+1,
     &            NMDIM = (MMAX/MINT+1)*(2*(NMAX+1)-MMAX)
     &                  - (NMAX-LMAX)/MINT*(NMAX-LMAX+1),
     &            JMXHF = JMAX/2+1,
     &            NWORK = IDIM*JDIM*KMAX*6                       )
